Gallery Platform API
Reference

List a sale's payables

Lists the payables generated from a sale's consigned lines.

GET
/gallery/sales/{id}/payables

Lists the payables generated from a sale's consigned lines.

Authorization

bearerAuth payables:read
AuthorizationBearer <token>

A gallery API key, sent as Authorization: Bearer gpk_… (or the x-api-key header).

In: header

Scope: payables:read

Path Parameters

id*string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

{  "data": [    {      "id": "string",      "sale_id": "string",      "sale_item_id": "string",      "artwork_id": "string",      "payee_contact_id": "string",      "payee_name": "string",      "kind": "consignor",      "status": "pending",      "amount_cents": -9007199254740991,      "currency": "string",      "basis_bps": 0,      "basis_amount_cents": -9007199254740991,      "paid_amount_cents": -9007199254740991,      "paid_at": "string",      "notes": "string",      "created_at": "string",      "updated_at": "string"    }  ],  "next_cursor": "string"}